RWA List
curl --request GET \
--url https://api.coingecko.com/api/v3/rwas/list \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "gold",
"symbol": "XAU",
"name": "Gold",
"asset_type": "commodity"
},
{
"id": "ibm",
"symbol": "IBM",
"name": "IBM",
"asset_type": "stock"
}
]RWA List
To query all the supported tokenized real world assets (RWAs) on CoinGecko with RWA ID, name and symbol
GET
/
rwas
/
list
RWA List
curl --request GET \
--url https://api.coingecko.com/api/v3/rwas/list \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "gold",
"symbol": "XAU",
"name": "Gold",
"asset_type": "commodity"
},
{
"id": "ibm",
"symbol": "IBM",
"name": "IBM",
"asset_type": "stock"
}
]Notes
- Use this endpoint to get RWA IDs for other endpoints that require an
idparameter. - Returns all RWAs by default. Use
asset_typeto filter for a single type. - No pagination required — the full list is returned in a single response.
- Equivalent page on CoinGecko Real World Assets.
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Filter by RWA asset type.
Available options:
stock, commodity, etf Was this page helpful?

